libayatana-appindicator (0.5.94-1.1) unstable; urgency=medium

  * Non-maintainer upload

  [ Mike Gabriel ]
  * debian/control: Add more Multi-Arch: {same,foreign} declarations.
    Thanks, Multi-Arch Hinter.

  [ Simon McVittie ]
  * d/patches/series: Apply the patch.
    This file was present in the 0.5.94-1 upload to the archive, but
    not in the packaging git repo.
  * d/control: Use ${gir:Depends} in -dev package instead of hard-coding.
    This avoids mistakes, and will make it easier to implement the <!nogir>
    build-profile at a later date, if desired.
  * d/control: Add ${gir:Provides} to -dev package.
    This ensures that it will provide the appropriate systematic name
    derived from its .gir file, and signals that it was not built with
    GObject-Introspection disabled (which is not currently set up,
    but could be added later via the nogir build-profile).
  * d/control: Explicitly build-depend on gir1.2-*-dev packages.
    These virtual package names can be mechanically derived from the uses
    of --include=GObject-2.0 and --include=Gtk-3.0 in the build system,
    and are the preferred way to ensure that the required GIR XML is
    present at build-time.
  * d/control: Drop obsolete B-D on libgirepository1.0-dev.
    This transitional package can't be multiarch-friendly for historical
    reasons. In this package, its only value was to pull in the code
    generation tools and GLib's own GIR XML, but those are now depended
    on via gobject-introspection and gir1.2-gobject-2.0-dev respectively.
    (Closes: #1131260)
  * d/control: Drop obsolete B-D on libdbus-glib-dev (Closes: #955911)

  [ Helmut Grohne ]
  * Fix FTCBFS: Disable gtkdoc in the arch-only build (Closes: #1117668)

 -- Simon McVittie <smcv@debian.org>  Sun, 10 May 2026 13:25:49 +0100

libayatana-appindicator (0.5.94-1) unstable; urgency=medium

  * New upstream release.
    - Deprecating libayatana-appindicator in favour of new
      libayatana-appindicator-glib.
  * debian/control:
    + Bump Standards-Version: to 4.7.2. No changes needed.
  * debian/libayatana-appindicator3-1.symbols:
    + Update .symbols file. Hide more private symbols.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 12 Mar 2025 09:33:12 +0100

libayatana-appindicator (0.5.93+really-3) unstable; urgency=medium

  * debian/control:
    + Revert "debian/control: Switch from gobject-introspection to gobject-
      introspection-bin. Thanks, lintian." (Closes: #1094617).
    + Fix typo in Vcs-Browser: field. (Closes: #1094618).

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 29 Jan 2025 13:08:07 +0100

libayatana-appindicator (0.5.93+really-2) unstable; urgency=medium

  * debian/patches:
    + Add 1001_fix-tests-on-riscv64.patch. Increase g_usleep delay to meet
      slowliness of riscv64 hardware in Debian's buildd setup. (Closes:
      #1086191).

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 11 Dec 2024 22:51:11 +0100

libayatana-appindicator (0.5.93+really-1) unstable; urgency=medium

  * Upstream re-release of 0.5.93 tarball. (Closes: #1070246).
    - The previous 0.5.93 orig tarball was actually a 0.5.90 release. Thanks
      to Carlos Alberto Lopez Perez for spotting this.
  * debian/copyright:
    + Update copyright attributions.
  * debian/libayatana-appindicator3-1.symbols:
    + Update symbols. Private symbol removed.
  * debian/control:
    + Switch from gobject-introspection to gobject-introspection-bin. Thanks,
      lintian.
    + Bump Standards-Version to 4.7.0. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 02 May 2024 21:27:44 +0200

libayatana-appindicator (0.5.93-1) unstable; urgency=medium

  * New upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 29 Oct 2023 10:09:55 +0100

libayatana-appindicator (0.5.92-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop CIL packages (Closes: #1043280).
  * Drop GTK2 remains.

 -- Bastian Germann <bage@barriere.debian.org>  Fri, 11 Aug 2023 09:42:50 +0000

libayatana-appindicator (0.5.92-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop GTK2 packages (Closes: #967567).

 -- Bastian Germann <bage@debian.org>  Wed, 28 Jun 2023 23:28:24 +0200

libayatana-appindicator (0.5.92-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version: to 4.6.2. No changes needed.
    + Drop -XS-Python-Version: field.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 02 Feb 2023 10:15:16 +0100

libayatana-appindicator (0.5.91-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop patches 0001 and 0002. Applied upstream.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 09 Apr 2022 00:03:54 +0200

libayatana-appindicator (0.5.90-8) unstable; urgency=medium

  [ Sebastien Bacher ]
  * debian/control:
    + Version the provides to match depends constraints.
    + Use standard Conflicts:/Replaces:/Provides: for libappindicator
      without specifying versions (lp: #1964964).

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 01 Apr 2022 17:42:42 +0200

libayatana-appindicator (0.5.90-7) unstable; urgency=medium

  * debian/control:
    + Add version to B:/R:. Add Provides: field for libappindicator
      compatibility. (Closes: #996201).

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 12 Mar 2022 21:49:56 +0100

libayatana-appindicator (0.5.90-6) unstable; urgency=medium

  * debian/control:
    + Add B:/R: rules so that libayatana-appindicator will finally replace
      libappindicator.
  * debian/:
    + Provide libappindicator compat files for runtime. This re-adds support
      for 3rd party apps that have been built against Canonical's
      libappindicator rather than libayatana-appindicator. (Closes: #996201).

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 10 Mar 2022 19:38:16 +0100

libayatana-appindicator (0.5.90-5) unstable; urgency=medium

  * debian/patches:
    + Add 0001-src-ayatana-appindicator-0.1.pc.in-Adapt-file-for-CM.patch and
      0002-src-ayatana-appindicator3-0.1.pc.in-Update-descripti.patch. Resolves
      bad GTK-2+ .pc file. (Thanks to Unit193 for spotting and reporting this).
  * debian/control:
    + Add missing libayatana-indicator*-dev dependency to dev:pkgs. (Also,
      thanks to Unit193).

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 21 Dec 2021 08:09:41 +0100

libayatana-appindicator (0.5.90-4) unstable; urgency=medium

  * debian/rules:
    + Correct build option: -DENABLE_MONO_BINDINGS -> -DENABLE_BINDINGS_MONO.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 16 Dec 2021 13:43:09 +0100

libayatana-appindicator (0.5.90-3) unstable; urgency=medium

  * debian/rules:
    + Set configure option -DENABLE_MONO_BINDINGS=OFF for architectures of
      Debian that don't have Mono.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 16 Dec 2021 10:57:36 +0100

libayatana-appindicator (0.5.90-2) unstable; urgency=medium

  * debian/rules:
    + Fix dh_install, dh_missing and dh_link overrides when doing arch:any-only
      and arch:all-only builds. Resolves FSBFS on Debian's buildd
      infrastructure.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 16 Dec 2021 00:10:08 +0100

libayatana-appindicator (0.5.90-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop 1001_dbus-test-runner-keep-env.patch, drop
      2001_enforce-non-multi-arch-libdir-for-cli-bindings.patch. Not applicable
      anymore.
  * debian/rules:
    + Adjust to new CMake build system.
    + Use upstream's NEWS file as upstream ChangeLog.
    + Check DEB_BUILD_OPTIONS for nocheck before running tests.
  * debian/control:
    + Switch from mate-common to cmake/cmake-extras in B-D: field.
    + Add to B-D gtk-sharp3-gapi and libgtk3.0-cil-dev (for archs that have
      Mono).
    + Bump to Standards-Version: 4.6.0. No changes needed.
  * debian/*.install:
    + Update for v0.5.90.
  * debian/*.symbols:
    + Update symbols for v0.5.90.
  * debian/{control,libayatana-appindicator3-0.1-cil*.install}:
    + Add GTK-3 bindings for Mono as new bin:pkgs.
  * debian/copyright:
    + Update auto-generated copyright.in reference file.
    + Update copyright attributions.
  * debian/upstream/metadata:
    + Update points of contact, put UBports Foundation in Donation: field.
  * debian/watch:
    + Use format version 4.
  * debian/{rules,libayatana-appindicator-doc.*}:
    + Move GTK API documentation to pkg's doc folder.
  * debian/libayatana-appindicator-doc.doc-base:
    + Add file. Register API docs with doc-base system.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 14 Dec 2021 21:09:42 +0100

libayatana-appindicator (0.5.5-3) unstable; urgency=medium

  * debian/patches:
    + Add 1001_dbus-test-runner-keep-env.patch. Make sure the build HOME
      variable is propagated into dh_auto_test.
  * debian/rules:
    + Run each set of unit tests in no-parallel mode and fali if unit tests
      fail. This fixes flaky unit tests and stops ignoring those failures.
      (Closes: #982845).
    + Run gtk2/gtk3 unit tests in two different build HOME dirs.
    + No duplicate / nested dh_auto_test calls.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 30 Apr 2021 17:17:22 +0200

libayatana-appindicator (0.5.5-2) unstable; urgency=medium

  * debian/rules:
    + Clean up some files, that upstream should handle, in fact.
    + Run gtk-doc during GTK-3 builds (not GTK-2).
    + Fix arch:all-only builds (dpkg-buildpackage -A).

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 21 Aug 2020 20:06:13 +0000

libayatana-appindicator (0.5.5-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop 2002_drop-python2-code.patch. Resolved upstream.
  * debian/control:
    + Improve description of bin:pkg libayatana-appindicator0.1-cil-dev.
    + Fix version of B-D cli-common-dev ( (>= 0.5.7)  --> (>= 0.8~) ).
    + Bump Standards-Version: to 4.5.0. No changes needed.
    + Bump DH compat level to version 13.
    + Drop D libdbus-glib-1-dev from libayatana-appindicator-dev and
      libayatana-appindicator3-dev. (Closes: #954105).

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 24 Jul 2020 07:32:42 +0200

libayatana-appindicator (0.5.4-2) unstable; urgency=medium

  * debian/rules:
    + Stop using pyversions. Drop concept of Py2.x specific GTK-2 builds.
      (Closes: #949179).

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 25 Jan 2020 11:44:35 +0100

libayatana-appindicator (0.5.4-1) unstable; urgency=medium

  * New upstream release.
  * debian/{control,compat}:
    + Switch to debhelper-compat notation. Bump to DH compat level version 12.
  * debian/{control,rules,*}:
    + Drop Python2 bindings support. Drop bin:pkg python-ayatana-appindicator.
      (Closes: #912959, #936843).
  * debian/patches:
    + Add 2002_drop-python2-code.patch: Don't build anything Python2 related.
  * debian/control:
    + Bump Standards-Version: to 4.4.1. No changes needed.
    + Add Rules-Requires-Root: field and set it to "no".
  * debian/libayatana-appindicator*.symbols:
    + Add Build-Depends-Package: metadata field.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 11 Nov 2019 20:13:44 +0100

libayatana-appindicator (0.5.3-4) unstable; urgency=medium

  * debian/control:
    + Update Vcs-*: fields. Packaging Git has been migrated to salsa.debian.org.
    + Bump Standards-Version: to 4.2.0. No changes needed.
  * debian/upstream/metadata:
    + Add file. Comply with DEP-12.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 14 Aug 2018 19:18:49 +0200

libayatana-appindicator (0.5.3-3) unstable; urgency=medium

  * debian/control:
    + Add Ds for libgtk*-dev to libaytana-appindicator*-dev.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 22 Mar 2018 11:08:04 +0100

libayatana-appindicator (0.5.3-2) unstable; urgency=medium

  * debian/control:
    + Drop from Recommends: ayatana-indicator-application. The -application
      indicator should be pulled in from the desktop env's side that wants to
      utilize it (e.g. via the indicator-render applet). (Closes: #891927).

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 20 Mar 2018 19:42:18 +0100

libayatana-appindicator (0.5.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Switch D (python-ayatana-appindicator) from python-gobject to
      python-gobject-2. (Closes: #890156).
    + Bump Standards-Version: to 4.1.3. No changes needed.
  * debian/{control,compat}:
    + Bump to DH version level 11.
  * debian/rules:
    + Don't set dpkg-architecture variable. Use dpkg/architecture.mk include
      file instead.
  * debian/libayatana-appindicator3-dev.examples:
    + Add Vala examples to bin:pkg.
  * debian/libayatana-appindicator0.1-cil.examples:
    + Add Mono/CLI examples to bin:pkg.
  * debian/copyright:
    + Use secure URI for copyright format reference.
  * debian/watch:
    + Use secure URL to obtain upstream sources.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 20 Mar 2018 11:48:38 +0100

libayatana-appindicator (0.5.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop all 100X series patches. All included in this upstream release.
  * debian/control:
    + Drop dh-autoreconf from B-D.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 26 Oct 2017 13:12:37 +0200

libayatana-appindicator (0.5.1-5) unstable; urgency=medium

  * debian/patches:
     + Add 0003-src-app-indicator.c-Avoid-usage-of-PATH_MAX-macro.-F.patch.
       Avoid usage of PATH_MAX. Fixes FTBFS on Debian GNU/Hurd.
  * debian/control:
    + Bump Standards-Version: to 4.1.1. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 06 Oct 2017 20:43:52 +0200

libayatana-appindicator (0.5.1-4) unstable; urgency=medium

  * debian/{control,rules}:
    + Fix upload problems due to negated architectures listed under
      debian/control's Architecture: field (which seems unsupported).
      Currently the following architectures have cli-mono support:
      amd64 arm64 armel armhf i386 mipsel ppc64el s390x kfreebsd-amd64
      kfreebsd-i386 powerpc ppc64. So let's try to upload again...
      (Closes: #876803).
  * debian/patches:
    + Add 0001_fix-parallel-builds-in-mono-bindings.patch
    + Add 0002_fix-another-namespace-issue-in-python-bindings.patch
      ... both cherry-picked from upstream.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 29 Sep 2017 14:33:15 +0200

libayatana-appindicator (0.5.1-3) unstable; urgency=medium

  * debian/{control,compat}:
    + Bump DH version level to 10 (and bump B-D to >= 10.3).
  * debian/control:
    + Exclude cli-mono bin:pkgs on architectures that cli-mono does not support.
      (Closes: #876803, hopefully).
  * debian/rules:
    + Switch from dh_install --fail-mising to dh_missing --fail-missing.
    + Don't run dh_install/dh_missing for cli-mono binding packages on
      non-supported architectures.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 26 Sep 2017 10:13:19 +0200

libayatana-appindicator (0.5.1-2) unstable; urgency=medium

  * debian/rules:
    + Adapt to excluding Mono/CLI bindings for various more architectures.
  * debian/control:
    + Bump versioned B-D on cli-common-dev to (>= 0.5.7).
    + Switch cli-mono section packages from arch:all to arch:any.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 23 Sep 2017 10:10:27 +0200

libayatana-appindicator (0.5.1-1) unstable; urgency=medium

  * New upstream release. (Closes: #867512, #876493).
  * debian/control:
    + Avoid FTBFS due to missing Mono/CLI B-Ds for several more architectures
      (now: !arm64 !ppc64el !mips !mips64el !alpha !hppa !hurd-i386 !m68k
      !powerpcspe !sh4 !sparc64 !x32).
    + Bump Standards-Version: to 4.1.0 No changes needed.
  * debian/{control,copyright,watch}:
    + Update upstream URLs to new upstream project locations.

  * Upload to unstable.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 23 Sep 2017 01:29:46 +0200

libayatana-appindicator (0.5.0-1) experimental; urgency=medium

  * Initial release to Debian. (Closes: #863170).

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 22 May 2017 23:33:41 +0200
